/*
- Name: megamenu.js - style.css
- Version: 1.0
- Latest update: 29.01.2016.
- Author: Mario Loncarek
- Author web site: http://marioloncarek.com
*/


/* ––––––––––––––––––––––––––––––––––––––––––––––––––
Body - not related to megamenu
–––––––––––––––––––––––––––––––––––––––––––––––––– */

.description {
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	transform: translateY(-50%);
	-webkit-transform: translateX(-50%);
	-ms-transform: translateX(-50%);
	transform: translateX(-50%);
}


/* ––––––––––––––––––––––––––––––––––––––––––––––––––
megamenu.js STYLE STARTS HERE
–––––––––––––––––––––––––––––––––––––––––––––––––– */


/* ––––––––––––––––––––––––––––––––––––––––––––––––––
Screen style's
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.menu-container {
	width: 100%;
	margin: 0 0 0;
}

.menu-container * {
	box-sizing: border-box;
}

.menu-mobile {
	display: none;
}

.menu-mobile:after {
	font-family: "Font Awesome 5 Free";
	content: "\f0c9";
	font-weight: 900;
	color: #333;
	padding: 0;
	font-size: 4rem;
	line-height: .9;
	position: absolute;
	top: 15px;
	right: 15px;
	z-index: 100000;
	-webkit-transition: all 1s;
	-o-transition: all 1s;
	transition: all 1s;
}

.menu-dropdown-icon:before {
	content: "\f489";
	font-family: "Ionicons";
	display: none;
	cursor: pointer;
	/* float: right; */
	position: absolute;
	top: 0;
	right: 0;
	padding: 14px 25px 12px;
	background: #162c85;
	color: #fff;
	font-size: 2.0rem;
	font-weight: bold;
	line-height: 1.5;
}

.menu > ul {
	display: flex;
	justify-content: center;
	margin: 0 auto;
	width: 100%;
	/* overflow: hidden; */
	list-style: none;
	padding: 0;
	position: relative;
	/* IF .menu position=relative -> ul = container width, ELSE ul = 100% width */
	box-sizing: border-box;
}

.menu > ul > li {
	float: left;
	width: 17%;
	padding: 5px 0 0;
	margin: 0;
	list-style: none;
	position: relative;
	text-align: center;
}

.menu > ul > li a {
	color: #333;
	position: relative;
	font-size: 16px;
	font-size: 1.6rem;
	display: inline-block;
	line-height: 1;
	transition: .3s all;
}

.menu > ul > li a:hover,
.menu > ul > .current a {
	color: #169eed;
}

.menu > ul > li a::after {
	content: "";
	transition: all .3s;
}

.menu > ul > li:nth-child(2) a::after,
.menu > ul > li:nth-child(3) a::after {
	color: #169eed;
	position: absolute;
	font-family: 'Font Awesome 5 Free';
	font-weight: 900;
	content:'\f0dd';
	top: 33%;
	right: -22px;
	transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	transition: all 0.3s;
}

.menu > ul > .accordion02 li a::after,
.menu > ul > .accordion03 li a::after {
	content: none;
}

.menu > ul > li.accordion02 ul,
.menu > ul > li.accordion03 ul {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	z-index: 9999;
	position: fixed;
	top: 95px;
	left: 50%;
	transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, 0%);
	-ms-transform: translate(-50%, -50%);
	margin: 0;
	padding: 30px 0 0;
	box-sizing: border-box;
	overflow: hidden;
	background-color: #fff;
	visibility: hidden;
	opacity: 0;
	box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.1);
	transition: all 0.3s;
	width: 100%;
}

.menu > ul > li.accordion02 ul li,
.menu > ul > li.accordion03 ul li {
	list-style: none;
	display: inline-block;
}

.menu > ul > li.accordion02 ul li a,
.menu > ul > li.accordion03 ul li a {
	color: #333;
	padding: 10px 30px;
	box-sizing: border-box;
	border-right: 1px dotted #b3b3b3;
	margin-bottom: 20px;
}

.menu > ul > li.accordion02 ul li a:hover,
.menu > ul > li.accordion03 ul li a:hover {
	color: #169eed;
}

.menu > ul > li.accordion02 ul li:first-child a,
.menu > ul > li.accordion03 ul li:first-child a {
	border-left: 1px dotted #b3b3b3;
}

.menu > ul > li.accordion02 .accordion,
.menu > ul > li.accordion03 .accordion {
	visibility: visible;
	opacity: 1;
}

.menu > ul > li.accordion02:hover a::after,
.menu > ul > li.accordion03:hover a::after {
	top: 60%;
}



/* ––––––––––––––––––––––––––––––––––––––––––––––––––
Mobile style's
–––––––––––––––––––––––––––––––––––––––––––––––––– */

@media only screen and (max-width: 1024px) {
	.header_logo_area {
		position: fixed;
		z-index: 1000000;
		top: 0;
		left: 0;
		background-color: #fff;
		width: 100%;
		padding: 0;
		/* box-shadow */
		box-shadow: 0px 4px 5px -2px rgba(10,10,10,0.1);
	}

	.mobile_header {
		position: relative;
	}

	.menu-container {
		width: 100%;
	}

	.menu-mobile {
		display: block;
	}

	.menu-dropdown-icon:before {
		display: block;
	}

	.menu {
		/* z-index: 99; */
		position: absolute;
		top: 0;
		left: 150%;
		width:100%;
		transition: all 0.5s;
		z-index: 99999;
		background: #fff;
		height: 650px;
	}

	.menu.panelactive {/* メニューボタンが押されたら左に出す設定 */
		left: 0%;
		transition: all 0.5s;
	}

	.menu > ul {
		height: unset;
		display: block;
		padding: 0;
		overflow-y: scroll;
		height: 60%;
		border-bottom: 1px solid #ccc;
	}

	.menu > ul::-webkit-scrollbar {
		background: #fff;
		width: 5px;
		height: 5px;
	}

	.menu > ul::-webkit-scrollbar-thumb {
		background-color: #a9a9a9;
		border-radius: 25px;
		transition: .3s all;
		cursor: auto;
	}

	.menu > ul::-webkit-scrollbar-thumb:hover {
		background-color: #0e9ced;
	}

	.menu > ul > li {
		width: 100%;
		float: none;
		display: block;
		position: relative;
		font-size: 1.8rem;
		padding: 0;
	}

	.archive .menu > ul > li#menu-item-848 a::after,
	.single .menu > ul > li#menu-item-848 a::after,
	.menu > ul > li a:hover::after,
	.menu > ul > li.current a::after {
		content: none;
	}

	.menu > ul > li a {
		padding: 2.5vh 0;
		width: 100%;
		display: block;
		/* text-align: left; */
		background: #fffce8;
		border-bottom: 1px dotted #ccc;
	}

	.menu > ul > li:nth-child(3) a,
	.menu > ul > li:nth-child(4) a {
		border-top: 1px dotted #ccc;
	}

	.menu > ul > li:nth-child(3) ul li a {
		border-top: unset;
	}

	.menu > ul > li:last-child a {
		border-bottom: unset;
	}

	.menu > ul > li:nth-child(2) a::after,
	.menu > ul > li:nth-child(3) a::after {
		content: none;
	}

	.menu > ul > li.current a,
	.menu > ul > li a:hover {
		background: #fff;
	}

	.menu > ul > li a span {
		text-decoration: none;
		color: #fff;
		padding: 0;
		display: block;
		font-size: 2rem;
		text-align: center;
		line-height: 1.3;
	}

	.menu > ul > li a span.menu_ttl {
		padding: 5px 0 0;
		color: #111;
	}

	.menu > ul > li a span.menu_ttl_txt {
		margin-top: 0;
		padding: 0 0 5px;
		font-size: 2.2rem;
	}

	.menu > ul > li a:hover span.menu_ttl_txt {
		margin-top: 0;
	}

	.menu > ul > li.accordion02 ul,
	.menu > ul > li.accordion03 ul {
		justify-content: space-between;
		padding: 0;
		position: unset;
		transform: unset;
		-webkit-transform: unset;
		-ms-transform: unset;
		visibility: visible;
		opacity: 1;
		background: #fffce8;
	}

	.menu > ul > li.accordion02 ul li,
	.menu > ul > li.accordion03 ul li {
		width: 50%;
	}

	.menu > ul > li.accordion02 .accordion,
	.menu > ul > li.accordion03 .accordion {
		/* visibility: hidden; */
		/* opacity: 0; */
	}

	.menu > ul > li.accordion02 ul li a,
	.menu > ul > li.accordion03 ul li a {
		font-size: 15px;
		font-size: 1.5rem;
		position: relative;
		padding: 2.5vh 10px;
		margin: 0;
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
	}

	.menu > ul > li.accordion02 ul li.current a,
	.menu > ul > li.accordion03 ul li.current a {
		color: #169eed;
		background: #fff;
	}

	.menu > ul > li.accordion02 ul li:first-child a,
	.menu > ul > li.accordion03 ul li:first-child a {
		border-left: unset;
	}

	.menu > ul > li.accordion02 ul li:nth-child(2n) a,
	.menu > ul > li.accordion03 ul li:nth-child(2n) a {
		border-right: unset;
	}

	.menu > ul > li.accordion02 ul li:last-child a,
	.menu > ul > li.accordion03 ul li:last-child a,
	.menu > ul > li.accordion03 ul li:nth-last-child(2) a {
		border-bottom: unset;
	}

	.menu .mobile_header_i {
		position: relative;
		background: #fffce8;
		border-bottom: 1px dotted #ccc;
	}

	.menu .mobile_header_i a {
		font-size: 18px;
		font-size: 1.8rem;
		text-align: center;
		padding: 2.5vh 0;
		box-sizing: border-box;
	}

	.menu .mobile_header_i a:hover {
		background: #fff;
	}

	.menu .show-on-mobile {
		display: block;
		background: rgba(0, 0, 0, 0.7);
		position: fixed;
		top: 65px;
		left: 0;
		z-index: 9999;
		overflow-y: scroll;
		width: 100%;
		height: 100%;
		max-height: 100%;
		/* IE8以下とAndroid4.3以下用フォールバック */
		max-height: calc(100% - 60px);
	}

}


/*==================================
グローバルメニューのボタンの設定
==================================*/

.overlay {
	content: "";
	display: block;
	width: 0;
	height: 0;
	background-color: rgba(0,0,0,.7);
	position: absolute;
	top: 0;
	left: 0;
	z-index: 150;
	opacity: 0;
	transition: opacity .5s;
	overflow: hidden;
	/* z-index: 999; */
}

.overlay.open {
	width: 100%;
	height: 100%;
	opacity: 0;
}

@media screen and (max-width : 1024px) {
	.openbtn1 {
		position: relative;/*ボタン内側の基点となるためrelativeを指定*/
		position: fixed;
		top: 0;
		right: 0;
		/* background: #3abbc7; */
		cursor: pointer;
		width: 50px;
		height: 50px;
		z-index: 9999999999;
		background-image: -moz-linear-gradient( 0deg, rgb(13,208,215) 0%, rgb(15,151,226) 60%, rgb(17,94,237) 100%);
		background-image: -webkit-linear-gradient( 0deg, rgb(13,208,215) 0%, rgb(15,151,226) 60%, rgb(17,94,237) 100%);
		background-image: -ms-linear-gradient( 0deg, rgb(13,208,215) 0%, rgb(15,151,226) 60%, rgb(17,94,237) 100%);
	}

	/*ボタン内側*/
	.openbtn1 span {
		display: inline-block;
		transition: all .4s;/*アニメーションの設定*/
		position: absolute;
		left: 14px;
		height: 3px;
		border-radius: 2px;
		background: #fff;
		width: 45%;
	}

	.openbtn1 span:nth-of-type(1) {
		top: 15px;
	}

	.openbtn1 span:nth-of-type(2) {
		top: 23px;
	}

	.openbtn1 span:nth-of-type(3) {
		top: 31px;
	}

	/*activeクラスが付与されると線が回転して×に*/
	.openbtn1.active span:nth-of-type(1) {
		top: 18px;
		left: 18px;
		transform: translateY(6px) rotate(-45deg);
		width: 30%;
	}

	/*真ん中の線は透過*/
	.openbtn1.active span:nth-of-type(2) {
		opacity: 0;
	}

	.openbtn1.active span:nth-of-type(3) {
		top: 30px;
		left: 18px;
		transform: translateY(-6px) rotate(45deg);
		width: 30%;
	}

	/*==================================
	メニューを開いたら背景が暗くなる
	==================================*/
	.overlay.open {
		width: 100%;
		height: 100%;
		opacity: 0.5;
		position: fixed;
		z-index: 9;
	}

}